The Subcontracting Receipt object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

title string

Default: {supplier_name}

supplier string required
supplier_name string
posting_date string required
posting_time string required
company string required
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
set_warehouse string
rejected_warehouse string
supplier_warehouse string
total_qty number
total number
in_words string
bill_no string
bill_date string
range string
auto_repeat string
letter_head string
select_print_heading string
language string
instructions string
remarks string
transporter_name string
lr_no string
lr_date string
billing_address string
billing_address_display string
represents_company string
is_return boolean

Default: false

return_against string
per_returned number
cost_center string
project string
distribute_additional_costs_based_on string

Default: Qty

total_additional_costs number
set_posting_time boolean

Default: false

supplier_delivery_note string
The Subcontracting Receipt object
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}
GET /api/subcontracting/subcontracting-receipt/{id}

Retrieve a subcontracting receipt

Retrieves the details of an existing subcontracting receipt. Supply the unique subcontracting receipt ID that was returned from a previous request.

Path parameters

id string required

The identifier of the subcontracting receipt to retrieve.

Returns

Returns the subcontracting receipt object if a valid identifier was provided.

GET /api/subcontracting/subcontracting-receipt/{id}
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt/subcontracting-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}
GET /api/subcontracting/subcontracting-receipt

List all subcontracting receipts

Returns a list of subcontracting receipts. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of subcontracting receipt objects.

GET /api/subcontracting/subcontracting-receipt
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "subcontracting-receipt_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "title": "{supplier_name}",
      "supplier": "supplier_example",
      "supplier_name": "supplier_name_example",
      "posting_date": "2024-01-15",
      "posting_time": "posting_time_example",
      "company": "Example Corp",
      "supplier_address": "supplier_address_example",
      "contact_person": "contact_person_example",
      "address_display": "address_display_example",
      "contact_display": "contact_display_example",
      "contact_mobile": "contact_mobile_example",
      "contact_email": "[email protected]",
      "shipping_address": "shipping_address_example",
      "shipping_address_display": "shipping_address_display_example",
      "set_warehouse": "set_warehouse_example",
      "rejected_warehouse": "rejected_warehouse_example",
      "supplier_warehouse": "supplier_warehouse_example",
      "total_qty": 0,
      "total": 0,
      "in_words": "in_words_example",
      "bill_no": "bill_no_example",
      "bill_date": "2024-01-15",
      "range": "range_example",
      "auto_repeat": "auto_repeat_example",
      "letter_head": "letter_head_example",
      "select_print_heading": "select_print_heading_example",
      "language": "language_example",
      "instructions": "instructions_example",
      "remarks": "remarks_example",
      "transporter_name": "transporter_name_example",
      "lr_no": "lr_no_example",
      "lr_date": "2024-01-15",
      "billing_address": "billing_address_example",
      "billing_address_display": "billing_address_display_example",
      "represents_company": "Example Corp",
      "is_return": false,
      "return_against": "return_against_example",
      "per_returned": 0,
      "cost_center": "cost_center_example",
      "project": "project_example",
      "distribute_additional_costs_based_on": "Qty",
      "total_additional_costs": 0,
      "set_posting_time": false,
      "supplier_delivery_note": "supplier_delivery_note_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/subcontracting/subcontracting-receipt

Create a subcontracting receipt

Creates a new subcontracting receipt object.

Body parameters

status string

Default: draft

title string

Default: {supplier_name}

supplier string required
supplier_name string
posting_date string required
posting_time string required
company string required
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
set_warehouse string
rejected_warehouse string
supplier_warehouse string
total_qty number
total number
in_words string
bill_no string
bill_date string
range string
auto_repeat string
letter_head string
select_print_heading string
language string
instructions string
remarks string
transporter_name string
lr_no string
lr_date string
billing_address string
billing_address_display string
represents_company string
is_return boolean

Default: false

return_against string
per_returned number
cost_center string
project string
distribute_additional_costs_based_on string

Default: Qty

total_additional_costs number
set_posting_time boolean

Default: false

supplier_delivery_note string

Returns

Returns the newly created subcontracting receipt object if the call succeeded.

POST /api/subcontracting/subcontracting-receipt
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"supplier":"supplier_example","posting_date":"2024-01-15","posting_time":"posting_time_example","company":"Example Corp"}'
Response
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}
PATCH /api/subcontracting/subcontracting-receipt/{id}

Update a subcontracting receipt

Updates the specified subcontracting receipt by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the subcontracting receipt to update.

Body parameters

status string

Default: draft

title string

Default: {supplier_name}

supplier string
supplier_name string
posting_date string
posting_time string
company string
supplier_address string
contact_person string
address_display string
contact_display string
contact_mobile string
contact_email string
shipping_address string
shipping_address_display string
set_warehouse string
rejected_warehouse string
supplier_warehouse string
total_qty number
total number
in_words string
bill_no string
bill_date string
range string
auto_repeat string
letter_head string
select_print_heading string
language string
instructions string
remarks string
transporter_name string
lr_no string
lr_date string
billing_address string
billing_address_display string
represents_company string
is_return boolean

Default: false

return_against string
per_returned number
cost_center string
project string
distribute_additional_costs_based_on string

Default: Qty

total_additional_costs number
set_posting_time boolean

Default: false

supplier_delivery_note string

Returns

Returns the updated subcontracting receipt object.

PATCH /api/subcontracting/subcontracting-receipt/{id}
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt/subcontracting-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","title":"{supplier_name}"}'
Response
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}
DELETE /api/subcontracting/subcontracting-receipt/{id}

Delete a subcontracting receipt

Permanently deletes a subcontracting receipt. This cannot be undone.

Path parameters

id string required

The identifier of the subcontracting receipt to delete.

Returns

Returns a confirmation that the subcontracting receipt has been deleted.

DELETE /api/subcontracting/subcontracting-receipt/{id}
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt/subcontracting-receipt_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "subcontracting-receipt_abc123",
  "deleted": true
}
POST /api/subcontracting/subcontracting-receipt/{id}/submit

Submit a subcontracting receipt

Submits a draft subcontracting receipt, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the subcontracting receipt to act on.

Returns

Returns the subcontracting receipt object with updated status.

POST /api/subcontracting/subcontracting-receipt/{id}/submit
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt/subcontracting-receipt_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}
POST /api/subcontracting/subcontracting-receipt/{id}/cancel

Cancel a subcontracting receipt

Cancels a submitted subcontracting receipt, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the subcontracting receipt to act on.

Returns

Returns the subcontracting receipt object with updated status.

POST /api/subcontracting/subcontracting-receipt/{id}/cancel
curl https://api.overplane.dev/api/subcontracting/subcontracting-receipt/subcontracting-receipt_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "subcontracting-receipt_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "title": "{supplier_name}",
  "supplier": "supplier_example",
  "supplier_name": "supplier_name_example",
  "posting_date": "2024-01-15",
  "posting_time": "posting_time_example",
  "company": "Example Corp",
  "supplier_address": "supplier_address_example",
  "contact_person": "contact_person_example",
  "address_display": "address_display_example",
  "contact_display": "contact_display_example",
  "contact_mobile": "contact_mobile_example",
  "contact_email": "[email protected]",
  "shipping_address": "shipping_address_example",
  "shipping_address_display": "shipping_address_display_example",
  "set_warehouse": "set_warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "supplier_warehouse": "supplier_warehouse_example",
  "total_qty": 0,
  "total": 0,
  "in_words": "in_words_example",
  "bill_no": "bill_no_example",
  "bill_date": "2024-01-15",
  "range": "range_example",
  "auto_repeat": "auto_repeat_example",
  "letter_head": "letter_head_example",
  "select_print_heading": "select_print_heading_example",
  "language": "language_example",
  "instructions": "instructions_example",
  "remarks": "remarks_example",
  "transporter_name": "transporter_name_example",
  "lr_no": "lr_no_example",
  "lr_date": "2024-01-15",
  "billing_address": "billing_address_example",
  "billing_address_display": "billing_address_display_example",
  "represents_company": "Example Corp",
  "is_return": false,
  "return_against": "return_against_example",
  "per_returned": 0,
  "cost_center": "cost_center_example",
  "project": "project_example",
  "distribute_additional_costs_based_on": "Qty",
  "total_additional_costs": 0,
  "set_posting_time": false,
  "supplier_delivery_note": "supplier_delivery_note_example"
}

Line items

Child objects that belong to this subcontracting receipt. These are accessed via the parent's ID.

Subcontracting Receipt Item

Attributes

idx integer
subcontracting_receipt_id string required
item_code string required
item_name string
description string
image string
image_view string
received_qty number
qty number
rejected_qty number
stock_uom string required
conversion_factor number
rate number
amount number
rm_cost_per_qty number
service_cost_per_qty number
additional_cost_per_qty number
warehouse string
rejected_warehouse string
quality_inspection string
subcontracting_order string
schedule_date string
serial_no string
batch_no string
rejected_serial_no string
subcontracting_order_item string
bom string
brand string
rm_supp_cost number
expense_account string
manufacturer string
manufacturer_part_no string
subcontracting_receipt_item string
project string
cost_center string
page_break boolean
returned_qty number
serial_and_batch_bundle string
rejected_serial_and_batch_bundle string
reference_name string
purchase_order_item string
purchase_order string
include_exploded_items boolean
use_serial_batch_fields boolean
job_card string
landed_cost_voucher_amount number
service_expense_account string
type string
secondary_items_cost_per_qty number
is_legacy_scrap_item boolean
process_loss_qty number

Endpoints

GET /api/subcontracting/subcontracting-receipt-item?parent_id={id}
POST /api/subcontracting/subcontracting-receipt-item
PATCH /api/subcontracting/subcontracting-receipt-item/{id}
DELETE /api/subcontracting/subcontracting-receipt-item/{id}
POST /api/subcontracting/subcontracting-receipt-item/reorder
Subcontracting Receipt Item object
{
  "id": "subcontracting-receipt-item_abc123",
  "idx": 1,
  "subcontracting_receipt_id": "subcontracting_receipt_id_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "image": "image_example",
  "image_view": "image_view_example",
  "received_qty": 0,
  "qty": 0,
  "rejected_qty": 0,
  "stock_uom": "stock_uom_example",
  "conversion_factor": 1,
  "rate": 0,
  "amount": 0,
  "rm_cost_per_qty": 0,
  "service_cost_per_qty": 0,
  "additional_cost_per_qty": 0,
  "warehouse": "warehouse_example",
  "rejected_warehouse": "rejected_warehouse_example",
  "quality_inspection": "quality_inspection_example",
  "subcontracting_order": "subcontracting_order_example",
  "schedule_date": "2024-01-15",
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "rejected_serial_no": "rejected_serial_no_example",
  "subcontracting_order_item": "subcontracting_order_item_example",
  "bom": "bom_example",
  "brand": "brand_example",
  "rm_supp_cost": 0,
  "expense_account": "expense_account_example",
  "manufacturer": "manufacturer_example",
  "manufacturer_part_no": "manufacturer_part_no_example",
  "subcontracting_receipt_item": "subcontracting_receipt_item_example",
  "project": "project_example",
  "cost_center": "cost_center_example",
  "page_break": false,
  "returned_qty": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "rejected_serial_and_batch_bundle": "rejected_serial_and_batch_bundle_example",
  "reference_name": "reference_name_example",
  "purchase_order_item": "purchase_order_item_example",
  "purchase_order": "purchase_order_example",
  "include_exploded_items": false,
  "use_serial_batch_fields": false,
  "job_card": "job_card_example",
  "landed_cost_voucher_amount": 0,
  "service_expense_account": "service_expense_account_example",
  "type": "type_example",
  "secondary_items_cost_per_qty": 0,
  "is_legacy_scrap_item": false,
  "process_loss_qty": 0
}

Subcontracting Receipt Supplied Item

Attributes

idx integer
subcontracting_receipt_id string required
main_item_code string
rm_item_code string
description string
batch_no string
serial_no string
required_qty number
consumed_qty number required
stock_uom string
rate number
amount number
conversion_factor number
current_stock number
reference_name string
bom_detail_no string
item_name string
subcontracting_order string
available_qty_for_consumption number
serial_and_batch_bundle string
use_serial_batch_fields boolean
expense_account string
cost_center string

Endpoints

GET /api/subcontracting/subcontracting-receipt-supplied-item?parent_id={id}
POST /api/subcontracting/subcontracting-receipt-supplied-item
PATCH /api/subcontracting/subcontracting-receipt-supplied-item/{id}
DELETE /api/subcontracting/subcontracting-receipt-supplied-item/{id}
POST /api/subcontracting/subcontracting-receipt-supplied-item/reorder
Subcontracting Receipt Supplied Item object
{
  "id": "subcontracting-receipt-supplied-item_abc123",
  "idx": 1,
  "subcontracting_receipt_id": "subcontracting_receipt_id_example",
  "main_item_code": "main_item_code_example",
  "rm_item_code": "rm_item_code_example",
  "description": "description_example",
  "batch_no": "batch_no_example",
  "serial_no": "serial_no_example",
  "required_qty": 0,
  "consumed_qty": 0,
  "stock_uom": "stock_uom_example",
  "rate": 0,
  "amount": 0,
  "conversion_factor": 1,
  "current_stock": 0,
  "reference_name": "reference_name_example",
  "bom_detail_no": "bom_detail_no_example",
  "item_name": "item_name_example",
  "subcontracting_order": "subcontracting_order_example",
  "available_qty_for_consumption": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "expense_account": "expense_account_example",
  "cost_center": "cost_center_example"
}